For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
      • GETSegmentations
      • GETMetadata
      • GETGauges
      • GETComponents
      • GETMarket Context
  • Deal Management
  • AI
  • User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
DataMacro Indicators

Components

GET
/api/v1/data/weather/:segmentation/:slug/components
GET
/api/v1/data/weather/:segmentation/:slug/components
$curl https://app.termina.ai/api/v1/data/weather/segmentation/slug/components \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "stage": "series_a",
4 "date": "2021-01-01",
5 "weather_gauge": 0.5,
6 "actual_annualized": 1000000000,
7 "potential_annualized": 1200000000,
8 "potential_annualized_forecast": 1200000000
9 }
10]
Returns the individual components of the weather indicator and some of the underlying inputs of those component gauges for the given segmentation slug.
Was this page helpful?
Previous

Market Context

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

segmentationstringRequired
slugstringRequired

Response

Successful Response
stagestring
The stage of the weather gauge
datestringformat: "date"
The date of the data point
weather_gaugedouble or null-3-3
The values of the individual components of the weather gauge
actual_annualizeddouble or null
The measured actual annualized fundraising amount for the stage in a rolling window, subset only to companies that have known amounts raised in the prior stage. The value is null for future dates beyond the last valid date of the indicator
potential_annualizeddouble or null
The estimated present and past potential annualized fundraising amount for the stage in a rolling window, which measures the amount of fundraising one would expect under normal conditions, based on investment in the prior stage and accounting for exits. The value is null for future dates beyond the last valid date of the indicator
potential_annualized_forecastdouble or null
The estimated future potential annualized fundraising amount for the stage in a rolling window, which measures the amount of fundraising one would expect under normal conditions, based on investment in the prior stage and accounting for exits. The value is null for past dates and forecasted for future dates

Errors

422
Unprocessable Entity Error